
/* ##############################################################
	설  명 : [Modal]공지사항 상세/수정 팝업
	작성일 : 2023. 01. 19.
	작성자 : NTsoft
	수정일 	        수정자 	 수정내용
	-------         -------- ---------------------------
	2023. 01. 19.	NTsoft 	 최초 생성
*/
let appNoticeSelectModal = {
	callback : null,
	reqParam : null,
	dataList : null,
	/* 모달 초기화 작업 */
	init : function () {
		$('#appNoticeSelectModal').remove();
		$('body').append( this.HtmlTemplate);
		//그리드 이벤트
		this.setEvent();
	},
	/* 그리드 이벤트 설정 */
	setEvent:function() {
		$('#appNoticeSelectModal .btnCancle').on("click", function(){
			appNoticeSelectModal.close();
		});
	},
	/* 데이터 선택 */
	setSelect:function(selectNumber) {
		let checkedData = dataList[selectNumber];
		if(dataList==null||checkedData==undefined){
			return ;
		}
		
		if( appNoticeSelectModal.callback )  {
			appNoticeSelectModal.callback(checkedData);
		}
		appNoticeSelectModal.close();
	},
	// 상세 조회
	search:function(state) {
		let muAppNoticeId = appNoticeSelectModal.reqParam.muAppNoticeId;
		
		if(true != fn_emptyCheck(muAppNoticeId)){
			modalEvent.warning("조회", "공지사항 정보가 없습니다.");	
			return;
		}
		
		let formData = new FormData();
		formData.append("menuClass", menuClass);
		formData.append("muAppNoticeId", muAppNoticeId);

		$.ajax({
			url: encodeURI('/webappnotice/selectAppNotice.do'),
			data: formData,
			dataType: "json",
			processData: false,
			contentType: false,
			type: 'POST',
			async: true,
			success: function(data){
				if('0'==data.msgCode){
					$("#appNoticeSelectModal #modalTitle").val(data.rows[0].title);
					$("#appNoticeSelectModal #modalContent").empty().html(data.rows[0].content.replace(/\n/g,"<br/>"));
				}
				else{
					modalEvent.danger("조회 오류", data.msgDesc);
				}
			},
			error : function(xhr, status, error) {
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			},
			beforeSend:function(){
				
			},
			complete:function(){
				
			}
		});
	},
	/*
	 * 팝업
	 * callback : 콜백함수, reqParam: 팝업파라미터
	 */
	popup:function(callback, reqParam) {
		// 초기화 후 열기
		appNoticeSelectModal.init();
		
		//콜백함수 지정.
		appNoticeSelectModal.callback = callback;
		appNoticeSelectModal.reqParam = reqParam;
		appNoticeSelectModal.dataList = null;
		
		setTimeout(function(){
			$('#appNoticeSelectModal').modal('show')
		}, 200);
		
		appNoticeSelectModal.search();
	},
	/*
	 * 팝업 닫기
	 */
	close:function() {
		$('#appNoticeSelectModal').modal('hide');

		setTimeout(function(){
			$('#appNoticeSelectModal').remove();
		},500);
	},
	HtmlTemplate : `
	<div id="appNoticeSelectModal" class="modal notice_modal fade" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<p class="title">공지사항 상세</p>
				</div>
	
				<div class="modal-body">
					<div class="form_box">
						<div class="input_box">
							<label>제목</label>
							<input type="text" id="modalTitle" placeholder="제목 입력" maxlength="100" readOnly>
						</div>

						<div class="textarea_box">
							<label>내용</label>
							<textarea id="modalContent" placeholder="내용을 입력해주세요." readOnly></textarea>
						</div>
					</div>
				</div>

				<div class="modal-footer">
					<div class="btn_box">
						<button type="button" class="check_bth btnCancle">확인</button>
					</div>
				</div>
			</div>
		</div>
	</div>
    `
};